void keyPressed() {
  if (key == ']') {
    moveItem( GLOBAL_selectedSet, imageSets, true );
    browser.updateMenu();
  } else if (key == '[') {
    moveItem( GLOBAL_selectedSet, imageSets, false );
    browser.updateMenu();
  } else if (key >= '0' && key <= '9') {
    if (GLOBAL_selectedSet != -1 ) {
      int t = (int)(key - '0');
      if ( t < dOrder.size() ) {
        autoUpdateDrawOrder(t);
      }
    }
  } else if (key == 's') {
    saveCreate();
  } else if (key == 'l') {
    loadSave();
  }
}

void moveItem(int s, ArrayList<?> list, boolean up) {
  if (up && list.size() >  s+1) {
    Collections.swap(list, s, s+1);
    GLOBAL_selectedSet++;
  }
  if (!up && s-1 >= 0) {
    Collections.swap(list, s, s-1);
    GLOBAL_selectedSet--;
  }
}



void moveItemList(int sourceIndex, int targetIndex, List<?> list) {
  if (sourceIndex <= targetIndex) {
    Collections.rotate(list.subList(sourceIndex, targetIndex + 1), -1);
  } else {
    Collections.rotate(list.subList(targetIndex, sourceIndex + 1), 1);
  }
}
